=== debian/changelog ===
igerman98 (20161207-4) unstable; urgency=medium

  * Update to Standards-Version 4.1.3 (no changes).
  * Update debhelper from v9 to v11.
  * Add Vcs headers pointing to salsa.debian.org.
  * Add some autpkgtests.
  * 18_aspell: Add special de_(DE|CH|AT) wordlists (missing before).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 17 Feb 2018 19:50:21 +0100

igerman98 (20161207-3) unstable; urgency=medium

  * hunspell-de-* now Breaks and Replaces myspell-de-* (<< 20161207-2~)
    instead of unversioned Conflicts to fix transition (Closes: #880694).

 -- Roland Rosenfeld <roland@debian.org>  Sat, 04 Nov 2017 08:22:44 +0100

igerman98 (20161207-2) unstable; urgency=medium

  * 19_Fahrschule: Add singular "Fahrschule" to dictionary (Closes: #854785).
  * Move all packages (except rmligs-german) to Section: localization.
  * Replace Priority "extra" with "optional".
  * Update to Standards version 4.1.1: change copyright-format to https.
  * Remove myspell-de-(de|at|ch) packages in favor of hunspell-de-*
    (Closes: #767767).
  * Add transitional packages myspell-de-* to hunspell-de-*.

 -- Roland Rosenfeld <roland@debian.org>  Fri, 03 Nov 2017 15:40:40 +0100

igerman98 (20161207-1) unstable; urgency=medium

  * New upstream version 20161207.
  * Adapt all patches to new version (20_subtraktiv is now included
    upstream).
  * Update to Standards-Version 3.9.8 (no changes).
  * Install deutsch.alias and german.alias to aspell-de (Closes: #839628).
  * Remove OpenOffice and mozilla references from package descriptions.
  * Extend package descriptions and mention differences between hunspell
    and myspell dictionaries.

 -- Roland Rosenfeld <roland@debian.org>  Sun, 11 Dec 2016 12:53:20 +0100
