=== debian/control ===
Source: igerman98
Section: localization
Priority: optional
Maintainer: Roland Rosenfeld <roland@debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Standards-Version: 4.1.3
Build-Depends-Indep: aspell (>= 0.60.5-2),
                     busybox,
                     dictionaries-common-dev (>= 1.23.4),
                     hunspell,
                     ispell (>= 3.4.00-5~)
Build-Depends: debhelper (>= 11~)
Homepage: https://www.j3e.de/ispell/igerman98/
Vcs-Git: https://salsa.debian.org/debian/igerman98.git
Vcs-Browser: https://salsa.debian.org/debian/igerman98

Package: ingerman
Architecture: all
Provides: ispell-dictionary
Depends: ${ispell:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: wngerman
Description: New German orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-DE-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package iogerman),
 with many corrections and additions.

Package: iswiss
Architecture: all
Provides: ispell-dictionary
Depends: ${ispell:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: wswiss
Description: Swiss (German) orthography dictionary for ispell
 This is a dictionary for ispell for the new German orthography
 (de-CH-1996), which is used since 1998-08-01 and which is obligatory
 as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as iogerman), with many corrections
 and additions.
 .
 This particular rendering supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: wngerman
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, ${perl:Depends}, ${wordlist:Depends}
Description: New German orthography wordlist
 This is a wordlist with the new German orthography (de-DE-1996),
 which is used since 1998-08-01 and which is obligatory as of
 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography (de-DE-1901), which is available as package wogerman),
 with many corrections and additions.

Package: wswiss
Architecture: all
Provides: wordlist
Depends: ${misc:Depends}, ${perl:Depends}, ${wordlist:Depends}
Description: Swiss (German) orthography wordlist
 This is a wordlist with the new German orthography (de-CH-1996), which
 is used since 1998-08-01 and which is obligatory as of 2005-08-01.
 .
 It is based on the famous hkgerman dictionary (using the old German
 orthography, which is available as wogerman), with many corrections
 and additions.
 .
 Most notably this variant supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: rmligs-german
Architecture: all
Section: text
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: texlive-latex-base
Description: remove incorrectly used ligatures from LaTeX documents
 rmligs-german is a program for removing incorrectly used ligatures
 from LaTeX documents.  This version is intended for German language
 texts only.

Package: hunspell-de-at
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-at (<< 20161207-2~), openoffice.org-spellcheck-de-at
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-at
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-at (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: Austrian (German) dictionary for hunspell
 This is the German (Austria) dictionary (de-AT-1996) for use with the
 hunspell spellchecker.
 .
 Most notably this variant contains some special Austrian words.

Package: hunspell-de-ch
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-ch (<< 20161207-2~), openoffice.org-spellcheck-de-ch
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-ch
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-ch (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: Swiss (German) dictionary for hunspell
 This is the German (Switzerland, Liechtenstein) dictionary (de-CH-1996)
 for use with the hunspell spellchecker.
 .
 Most notably this variant supports swiss spelling.  This includes some
 Swiss words, as well as ss instead of German sz ligature.

Package: hunspell-de-de
Architecture: all
Depends: dictionaries-common, ${misc:Depends}
Suggests: hunspell, libreoffice-writer
Replaces: myspell-de-de (<< 20161207-2~), openoffice.org-spellcheck-de-de
Provides: hunspell-dictionary, hunspell-dictionary-de
Conflicts: openoffice.org-spellcheck-de-de
Breaks: firefox (<< 2.0.0.3-2),
        iceape-browser (<< 1.1.1-2),
        icedove (<< 2.0.0.0-4),
        iceweasel (<< 2.0.0.3-2),
        libxul0d (= 1.8.0.11-3),
        mozilla-browser (<< 1.8+1.1.1-2),
        myspell-de-de (<< 20161207-2~),
        openoffice.org (<= 1.0.3-2),
        openoffice.org-core (<< 2.1~m190-1),
        thunderbird (<< 2.0.0.1+0dfsg-0)
Description: German dictionary for hunspell
 This is the German (Belgium, Germany, Luxemburg) dictionary (de-DE-1996)
 for use with the hunspell spellchecker.
 .
 Most notably this variant contains some special words from Germany.

Package: aspell-de
Architecture: all
Depends: ${aspell:Depends}, ${misc:Depends}
Provides: aspell-dictionary
Description: German dictionary for aspell
 This package contains German dictionaries for the aspell spell checker.
 .
 Dictionaries included are: de_DE (de/deutsch/german), de_CH (swiss), and
 de_AT, all using the new German orthography from 1996 (neue Rechtschreibung).
 .
 The old (1901) spelling is provided by aspell-de-alt.

Package: myspell-de-de
Depends: hunspell-de-de, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-de
 This is a transitional dummy package for migration from myspell-de-de
 to hunspell-de-de.  It can safely be removed.

Package: myspell-de-at
Depends: hunspell-de-at, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-at
 This is a transitional dummy package for migration from myspell-de-at
 to hunspell-de-at.  It can safely be removed.

Package: myspell-de-ch
Depends: hunspell-de-ch, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package for hunspell-de-ch
 This is a transitional dummy package for migration from myspell-de-ch
 to hunspell-de-ch.  It can safely be removed.
