=== debian/tests/control ===
Tests: wngerman-utf8, wngerman-dass
Depends: wngerman

Tests: wswiss-utf8, wswiss-dass, wswiss-strasse
Depends: wswiss

Tests: ispell-ok, ispell-typos
Depends: ingerman, ispell

Tests: iswiss-ok, iswiss-typos
Depends: iswiss, ispell

Tests: aspell-de-de-ok, aspell-de-de-typos, aspell-de-ch-ok,
 aspell-de-ch-typos, aspell-de-at-ok, aspell-de-at-typos
Depends: aspell-de, aspell

Tests: hunspell-de-de-ok, hunspell-de-de-typos
Depends: hunspell-de-de, hunspell

Tests: hunspell-de-ch-ok, hunspell-de-ch-typos
Depends: hunspell-de-ch, hunspell

Tests: hunspell-de-at-ok, hunspell-de-at-typos
Depends: hunspell-de-at, hunspell
